package cn.com.qmth.importpaper;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.atomic.AtomicInteger;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

public class ImportPaperByCourse {

	private static Logger logger = LogManager.getLogger(ImportPaperByCourse.class);
	private final static String sourceDir = "d:/yunkai/";
	
	private static String host = "http://localhost:8008";
	private static String rootOrgId = "0";
	private static String key = "$SS:C_0_8";
	private static String token = "abf51dd054eb4192937d01904a1e966e";
	
//	private static String host = "http://192.168.1.249:8008";
//	private static String rootOrgId = "17351";
//	private static String key = "U_C_17351_646523";
//	private static String token = "6537edc191d546349fd5a4cb9e74b94b";
	
	private static AtomicInteger count=new AtomicInteger(0);

	public static void main(String[] args) {
		logger.debug("导入开始");
		Date start=new Date();
		try {
			Map<String,Object> param=new HashMap<>();
			param.put("sourceDir", sourceDir);
			param.put("host", host);
			param.put("rootOrgId", rootOrgId);
			param.put("key", key);
			param.put("token", token);
			MyProducer pro=new MyProducer();
			pro.startDispose(MyConsumer.class, 2, param);
		} catch (Exception e) {
			logger.error(e.getCause(), e);
		}
		Date end=new Date();
		OKHttpUtil.close();
		logger.debug("导入结束，耗时："+((end.getTime()-start.getTime())/1000));
	}

	public static void  addDisposeCount() {
		count.addAndGet(1);
		logger.debug("处理了"+count);
	}
}
